/*
 * Copyright (c) 2017, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id$
 */

package com.sun.ts.tests.jsonb.api.model;

import com.sun.ts.tests.jsonb.TypeContainer;

import javax.json.bind.annotation.JsonbDateFormat;
import java.util.Date;

public class SimpleAnnotatedDateContainer implements TypeContainer<Date> {
    @JsonbDateFormat(value = "EEE, dd MMM yyyy", locale = "de")
    private Date instance = new Date(0);

    @Override
    public Date getInstance() {
        return instance;
    }

    @Override
    public void setInstance(Date instance) {
        this.instance = instance;
    }
}
